﻿$EFT = New-Object -ComObject 'SFTPComInterface.CIServer'
$eftUser = 'Admin'
$eftPassword = 'Admin12#'
$eftServer = '127.0.0.1'
$eftPort = '1100'
$EFT.Connect($eftServer, $eftPort, $eftUser, $eftPassword)

#NOTE!!! THE VALUES ENTERED FOR AZURE MUST BE VALID AND ACCESSIBLE, OTHERWISE COM WILL FAIL!!!
#ADDITIONALLY, THIS WILL ONLY WORK WHEN RUNNING IN AZURE, SINCE OUR QA ENVIRONMENT DOES NOT HAVE ACCESS TO AZURE WITHOUT PROXY

$Sites = $EFT.Sites()
$site = $Sites.SiteByID(1)
# 0 = Local Password Storage, 1 = Azure KeyVault, 2 = Azure Key Vault Managed Identities, 
$AzureValue = 0
$site.SecretsModuleType = $AzureValue

#The following should only be Enabled if Azure Key Vault value is = 1
#The value provided below will be the URL for the KeyVault path, i.e.  KeyVault Properties -- > DNS Name https://<your keyvault>.vault.azure.net
#$site.SecretsModuleURL = "https://<YOUR KEYVAULT>.vault.azure.net/"
#The value provided below must be the ClientID when the Azure Key Vault was configured, see the OneNote to review where to obtain this value
#$site.SecretsModuleClientID = "<YOUR CLIENT ID HERE>"
#The value provided below must be the Client Secret when the Azure Key Vault was configured, see the OneNote to review where to obtain this value
#$site.SecretsModuleClientSecret ="<YOUR SECRET HERE>"

#The Following should only be Enabled if Auzre Key vault value is = 2
#The value provided my be the URL for the KeyVault path, i.e.  KeyVault Properties -- > DNS Name https://<your keyvault>.vault.azure.net
#$site.SecretsModuleURL = "https://<YOUR KEYVAULT>.vault.azure.net/"