﻿$EFT = New-Object -ComObject 'SFTPComInterface.CIServer'
$eftUser = 'Admin'
$eftPassword = 'alaska'
$eftServer = '127.0.0.1'
$eftPort = '1100'
$EFT.Connect($eftServer, $eftPort, $eftUser, $eftPassword)

$Sites = $EFT.Sites()
$site = $Sites.SiteByID(1)
#This enables Workspaces -- i.e. Enable folder sharing
#$site.EnableWorkspaces = 1
#This enables workspaces external users -- i.e. Allow invitations to new EFT users for workspaces
#$site.EnableWorkspacesExternalUsers = 1

#The following will enable the option to Forbid Invite Address:
#$site.WorkspacesEnableDomainsToForbidInviteeAddresses = 1
#The following will add text to the field for domains that are not allowed
#$site.WorkspacesDomainsToForbidInviteeAddresses = "*.google.com"

#$site.WorkspacesOAIEnableDomainsToForbidInviteeAddresses = 1
#$site.WorkspacesOAIDomainsToFoSFTPComIntrbidInviteeAddresses = "something.net"
$ICAP = New-Object -ComObject 'SFTPComInterface.CIContentIntegrityControlProfile'
$ICAP.AuditResponseHeaders = "Enter Response headers"
$ICAP.AuditResponseHeadersEnabled = 1 #0=disabled 1=enabled
$ICAP.ConnectivityErrorsPolicy = 0 #block policy=0 continue=1
$ICAP.Host = "192.168.0.10"
$ICAP.HTTPErrorsPolicy = 0 #block policy=0 continue=1
$ICAP.IcapMode = 1 #REQMOD =0 RESPMOD = 1
$ICAP.ICAPRedactionsPolicy=0 #Block=0  Continue =1
$ICAP.ICAPViolationsPolicy=0 #Block=0 Continue=1
$ICAP.MaxScanSize = 1024 #long
$ICAP.MaxScanSizeEnabled = 0 #bool value; enabled=1 disabled=0
$ICAP.MaxScanSizeUnits = 2 #ScanSizeBytes=0 ScanSizeGBytes=3, ScanSizeKBytes=1, ScanSizeMbytes=2
$ICAP.Name = "ICAP Profile Test"
$ICAP.Path = "/"
$ICAP.Port = 1433
$ICAP.ResponseParsingResponseBodyText="some reponse body text"  #This is legacy support
$ICAP.ResponseParsingResponseHeadersText="some reponse header text"   #This is legacy support
$ICAP.ViolationIsNonBlocking = 0 #this is legacy support
$site.AddContentIntegrityControlProfile($ICAP)


