﻿$EFT = New-Object -ComObject 'SFTPComInterface.CIServer'
$eftUser = 'Admin'
$eftPassword = 'alaska'
$eftServer = '127.0.0.1'
$eftPort = '1100'
$EFT.Connect($eftServer, $eftPort, $eftUser, $eftPassword)

$Sites = $EFT.Sites()
$site = $Sites.SiteByID(1)

#after a PGP key is created use the PGP Key's ID and enter it in the variable below ($keyID)
#you could add a script to create an OpenPGP key via powershell or you can manually create it
#also make sure the path c:\export\ is clean
$keyID ="5617737F" #in this example my PGP key ID is 04A28856
$keyExportPath = "c:\export\key_ID_$keyID.asc"
$site.ExportPGPKey($keyID,1,$keyExportPath)
$site.RemovePGPKey($keyID)
$site.ImportPGPKey($keyExportPath)