﻿$EFT = New-Object -ComObject 'SFTPComInterface.CIServer'
$eftUser = 'Admin'
$eftPassword = 'alaska'
$eftServer = '127.0.0.1'
$eftPort = '1100'
$EFT.Connect($eftServer, $eftPort, $eftUser, $eftPassword)

$Sites = $EFT.Sites()
$site = $Sites.SiteByID(1)
#Create the SubRoutine Event Rule
$rules = $site.EventRules(36865) # SubRoutine Rule
$subroutineRuleParams = New-Object -ComObject 'SFTPComInterface.CIEventRuleParams'
$subroutineRuleParams.Name = "Test Subroutine"
$rule = $rules.Add(0, $subroutineRuleParams) #changed this to $rule instead of $rules to avoid a timing error in powershell (See bug 371330)

#Add an Email action to the subroutine event rule
$mailActionparams = New-Object -ComObject 'SFTPComInterface.CIMailActionParams'
$mailActionparams.Body = 'Test'
$mailActionparams.Subject ='Yada'
$mailActionparams.TOAddresses = 'ivasquez@globalscape.com'
$rules.AddActionStatement($rules.StatementsCount(),$mailActionparams)
$rule.AddActionStatement($rule.StatementsCount(),$mailActionparams)
