﻿$EFT = New-Object -ComObject 'SFTPComInterface.CIServer'
$eftUser = 'Admin'
$eftPassword = 'alaska'
$eftServer = '127.0.0.1'
$eftPort = '1100'
$EFT.Connect($eftServer, $eftPort, $eftUser, $eftPassword)

$Sites = $EFT.Sites()
$site = $Sites.SiteByID(1)

#Create a timer event rule first then add the call for the subroutine
$rules = $site.EventRules(4097) # Timer Rule
$eventparams = New-Object -ComObject 'SFTPComInterface.CITimerEventRuleParams'
$eventparams.Enabled = 1
$eventparams.Name = "TM with Email Action"
$eventparams.Recurrence = 1
$eventparams.DailyEveryWeekDay = 0
$eventparams.DateTimeStart = Date "06/17/2018 6:00 PM"
$mailActionparams = New-Object -ComObject 'SFTPComInterface.CIMailActionParams'
$mailActionparams.Body = 'Test'
$mailActionparams.Subject ='Yada'
$mailActionparams.TOAddresses = 'ivasquez@globalscape.com'
$eventrule = $rules.Add(0, $eventparams)
$eventrule.AddActionStatement($eventrule.StatementsCount(),$mailActionparams)

#Call the subroutine that MUST exist first!!
$subeventparams = New-Object -ComObject 'SFTPComInterface.CICallSubroutineActionparams'
$subeventparams.SubroutineName = "Test Subroutine"
$eventrule.AddActionStatement($eventrule.StatementsCount(),$subeventparams)