' Beginning of Connection to EFT Server - VBScript###   #written by the BOWSKI#
Set SFTPServer = WScript.CreateObject("SFTPCOMInterface.CIServer") ' open connection to EFT

txtServer = "localhost"
txtPort =  "1100"
txtAdminUserName = "admin"
txtPassword = "alaska"

If Not Connect(txtServer, txtPort, txtAdminUserName, txtPassword) Then
  WScript.Quit(0)
End If

set sites = SFTPServer.Sites()
set site = sites.Item(0)

Set clientSettings = site.GetUserSettings("bowski")
Set as2InboundSettings = clientSettings.AS2InboundSettings


as2InboundSettings.AS2ID = "eft2id"
as2InboundSettings.PartnerAS2ID = "eft5id"
as2InboundSettings.AuthenticationType = 1 ' Message Level Security is 1, Username and Password is 0
as2InboundSettings.MICAlgorithm = 9 ' SHA_256 is 5, SHA_512 is 7, SHA1 is 2, Default is 9
as2InboundSettings.SignatureMissingPolicy = 1 ' Reject is 1, Accept is 0
as2InboundSettings.SignatureAlgorithm = "SHA-512, SHA-256, SHA1, SHA-384, SHA-224" ' remove what you don't want
as2InboundSettings.EncryptMissingPolicy = 1 ' Reject is 1, Accept is 0
as2InboundSettings.EncryptionAlgorithm = "3DES, AESCBC128, AESCBC192, AESCBC256" ' remove what you don't want
as2InboundSettings.PartnerIDMismatchPolicy = 1 ' Reject is 1, Accept is 0
as2InboundSettings.EFTIDMismatchPolicy = 1 ' Reject is 1, Accept is 0
as2InboundSettings.DoubleMsgIDPolicy = 1 ' Reject is 1, Accept is 0
as2InboundSettings.DoubleContentPolicy = 1 ' Reject is 1, Accept is 0


  
WScript.Echo "Script Completed without issues"

' Close Connection to EFT Server ###################
SFTPServer.Close
Set SFTPServer = nothing

Function Connect (serverOrIpAddress, port, username, password)

  On Error Resume Next
  Err.Clear

  SFTPServer.Connect serverOrIpAddress, port, username, password

  If Err.Number <> 0 Then
    WScript.Echo "Error connecting to '" & serverOrIpAddress & ":" &  port & "' -- " & err.Description & " [" & CStr(err.Number) & "]", vbInformation, "Error"
    Connect = False
    Exit Function
  End If

  Connect = True
End Function
