Set SFTPServer = WScript.CreateObject("SFTPCOMInterface.CIServer")

txtServer = "localhost"
txtPort =  "1100"
txtAdminUserName = "admin"
txtPassword = "password"

If Not Connect(txtServer, txtPort, txtAdminUserName, txtPassword) Then
  WScript.Quit(0)
End If

set sites = SFTPServer.Sites()
set site = sites.Item(0)

Set rules = site.EventRules(32769) 'OnCloudStorageMonitor

Set cmParams = WScript.CreateObject("SFTPCOMInterface.CICloudStorageMonitorEventRuleParams")
cmParams.Name = "Azure Cloud Connect"
cmParams.CloudProviderType = 1 'AzureBlob
cmParams.Path = "/"
cmParams.ScanInterval = 10
cmParams.ScanIntervalType = 0 'COMSISeconds
cmParams.ArchiveProcessedFiles = True

Set azureParams = WScript.CreateObject("SFTPCOMInterface.CICloudAzureBlobGeneralParams")
azureParams.ContainerURL = "https://bowskiblob.blob.core.windows.net/toolshed" 'Specify your container URL
azureParams.SharedKey = "########" ' Type in your Azure shared key
azureParams.UseProxy = 1
azureParams.ProxyHostName = "208.89.185.99"
azureParams.ProxyPort = "8080"

cmParams.SetAzureBlobGeneralParams(azureParams)

Set downloadParams = WScript.CreateObject("SFTPCOMInterface.CICloudAzureBlobDownloadParams")
downloadParams.RemotePath = "%CLOUD.OBJ_KEY_NAME%"
downloadParams.LocalPath = "C:\azure\"

Set downloadAction = WScript.CreateObject("SFTPCOMInterface.CICloudDownloadActionParams")
downloadAction.CloudProviderType = 1 'CloudProviderType_AWSS3
downloadAction.SetAzureBlobGeneralParams(azureParams)
downloadAction.SetAzureBlobDownloadParams(downloadParams)

Set eventRule = rules.Add(0, cmParams)

eventRule.AddActionStatement 0, downloadAction
  
WScript.Echo "Done"

SFTPServer.Close
Set SFTPServer = nothing

Function Connect (serverOrIpAddress, port, username, password)

  On Error Resume Next
  Err.Clear

  SFTPServer.Connect serverOrIpAddress, port, username, password

  If Err.Number <> 0 Then
    WScript.Echo "Error connecting to '" & serverOrIpAddress & ":" &  port & "' -- " & err.Description & " [" & CStr(err.Number) & "]", vbInformation, "Error"
    Connect = False
    Exit Function
  End If

  Connect = True
End Function
