Set SFTPServer = WScript.CreateObject("SFTPCOMInterface.CIServer")

CRLF = (Chr(13)& Chr(10))
txtServer = "localhost"
txtPort =  "1100"
txtAdminUserName = "admin"
txtPassword = "Admin123"

If Not Connect(txtServer, txtPort, txtAdminUserName, txtPassword) Then
  WScript.Quit(0)
End If

siteName = "MySite"
set siteToRemove = Nothing
set sites = SFTPServer.Sites()
For i = 0 To sites.Count -1
  set site = sites.Item(i)
  If site.Name = siteName Then
    set siteToRemove = site
    Exit For
  End If
Next

'EventType:
'OnTimer = 4097,
'OnLogRotate = 4098,
'OnServiceStopped = 4099,
'OnServiceStarted = 4100,
'MonitorFolder = 4101,
'OnMonitorFolderFailed = 4102,
'OnSiteStarted = 8193,
'OnSiteStopped = 8194,
'OnIPAddedToBanList = 8195,
'OnClientConnected = 12289,
'OnClientConnectionFailed = 12290,
'OnClientDisconnected = 12291,
'OnClientDisabled = 16385,
'OnClientQuotaExceeded = 16386,
'OnClientLoggedOut = 16387,
'OnClientLoggedIn = 16388,
'OnClientLoginFailed = 16389,
'OnClientPasswordChanged = 16390,
'OnClientCreated = 16391,
'OnClientLocked = 16392,
'OnFileDeleted = 20481,
'OnFileUpload = 20482,
'BeforeFileDownload = 20483,
'OnFileDownload = 20484,
'OnFileRenamed = 20485,
'OnFolderCreated = 20486,
'OnFolderDeleted = 20487,
'OnUploadFailed = 20489,
'OnDownloadFailed = 20490,
'OnChangeFolder = 20491,
'OnFileMoved = 20492,
'OnVerifiedUploadSuccess = 20493,
'OnVerifiedUploadFailure = 20494,
'OnVerifiedDownloadSuccess = 20495,
'OnVerifiedDownloadFailure = 20496,
'AS2InboundTransactionSucceeded = 24577,
'AS2InboundTransactionFailed = 24578,
'AS2OutboundTransactionSucceeded = 24579,
'AS2OutboundTransactionFailed = 24580,

If Not siteToRemove Is Nothing Then
  
  'Event type from above
  Set rules = site.EventRules(4101)
  

  Set objParams = WScript.CreateObject("SFTPCOMInterface.CIFolderMonitorEventRuleParams")
Dim intIndex
intIndex=0

For i = intIndex +1 To intIndex + 1
  objParams.Name = "CCM_FM" & CStr(i)
  objParams.Enabled = true  
  objParams.Path="C:\Users\administrator.MESAT\Desktop\download"
  objParams.IncludeSubfolders=True
  objParams.UseAlternateCredentials=False
  objParams.UseFileSystemNotifications=True
  objParams.CheckHealth=False
  objParams.UsePeriodicDirectoryPoll=True
  objParams.PollIntervalSeconds=120
  objParams.ArchiveLeftovers=False
  objParams.AddTimestampToArchivedFileNames=False

'Recurrence:
'    Recurrence_Continually = 0,
'    Recurrence_Daily = 1,
'    Recurrence_Weekly = 2,
'    Recurrence_Monthly = 3,
'    Recurrence_Yearly = 4,
'    Recurrence_Once = 5,
'    Recurrence_Calendar = 6,

  'objParams.Recurrence = 5

  Set eventRule = rules.Add(rules.Count(), objParams)
  
  
  'create the if statement - here it is to check if a file is "added" to folder
  
  Set objIfStatement = eventRule.AddIfStatement(0, 5008, 1, "added", False)
  Set objCondition = objIfStatement.Condition
  objCondition.Operator = 1
  objCondition.Add 5008, 1, "added", false
  
  Set objActionStatements = objIfStatement.IfSection  
  
  
    'Add an action - Mail action to the conditional statement's IF section
  
  Set mailParams = CreateObject("SFTPCOMInterface.CIMailActionParams")
  
  mailParams.TOAddresses = "sray@globalscape.com;"
  mailParams.Subject = "Subject- testing FM rule"
  mailParams.Body = "<b>FM - a file has been added to your folder</b>"
  
'add the action to the if section 
 Call objIfStatement.IfSection.Add(0, mailParams)

Next
End If

WScript.Echo "Done"

SFTPServer.Close
Set SFTPServer = nothing

Function Connect (serverOrIpAddress, port, username, password)

  On Error Resume Next
  Err.Clear

  SFTPServer.Connect serverOrIpAddress, port, username, password

  If Err.Number <> 0 Then
    WScript.Echo "Error connecting to '" & serverOrIpAddress & ":" &  port & "' -- " & err.Description & " [" & CStr(err.Number) & "]", vbInformation, "Error"
    Connect = False
    Exit Function
  End If

  Connect = True
End Function
