Set SFTPServer = WScript.CreateObject("SFTPCOMInterface.CIServer")

CRLF = (Chr(13)& Chr(10))
txtServer = "localhost"
txtPort =  "1100"
txtAdminUserName = "admin"
txtPassword = "Admin123"

If Not Connect(txtServer, txtPort, txtAdminUserName, txtPassword) Then
  WScript.Quit(0)
End If

Set sites = SFTPServer.Sites()
For i = 0 to sites.Count - 1
  Set site = sites.Item(i)

  Set dmz = site.DMZGateway
  dmzSecurePNC = dmz.SecurePNC
  dmzCertPath = dmz.CertificatePath
  dmzRemoteAdmin = dmz.RemoteAdminMX
  dmzRemoteAdminPort = dmz.RemoteAdminMXPort
  WScript.Echo "[Enhanced DMZ Settings] SecurePNC: " + CStr(dmzSecurePNC) + ", CertPath: " + CStr(dmzCertPath) + ", RemoteAdmin: " + CStr(dmzRemoteAdmin) + ", RemoteAdminPort: " + CStr(dmzRemoteAdminPort)
Next

SFTPServer.Close
Set SFTPServer = nothing

Function Connect (serverOrIpAddress, port, username, password)

  On Error Resume Next
  Err.Clear

  SFTPServer.Connect serverOrIpAddress, port, username, password

  If Err.Number <> 0 Then
    WScript.Echo "Error connecting to '" & serverOrIpAddress & ":" &  port & "' -- " & err.Description & " [" & CStr(err.Number) & "]", vbInformation, "Error"
    Connect = False
    Exit Function
  End If

  Connect = True
End Function