Set SFTPServer = WScript.CreateObject("SFTPCOMInterface.CIServer")

CRLF = (Chr(13)& Chr(10))
txtServer = "localhost"
txtPort =  "1100"
txtAdminUserName = "administrator"
txtPassword = "password"

If Not Connect(txtServer, txtPort, txtAdminUserName, txtPassword) Then
  WScript.Quit(0)
End If

 set sites = SFTPServer.Sites()
 set site = sites.Item(0)  

 Set rules = site.EventRules(4101)
  

 Set objParams = WScript.CreateObject("SFTPCOMInterface.CIFolderMonitorEventRuleParams")

  objParams.Name = "Folder_Monitor"
  objParams.Enabled = true  
  objParams.Path="C:\Users\administrator.MESAT\Desktop\download"
  objParams.IncludeSubfolders=True
  objParams.UseAlternateCredentials=False
  objParams.UseFileSystemNotifications=True
  objParams.CheckHealth=False
  objParams.UsePeriodicDirectoryPoll=True
  objParams.PollIntervalSeconds=180
  objParams.ArchiveLeftovers=False
  objParams.AddTimestampToArchivedFileNames=False

'Recurrence:
'    Recurrence_Continually = 0,
'    Recurrence_Daily = 1,
'    Recurrence_Weekly = 2,
'    Recurrence_Monthly = 3,
'    Recurrence_Yearly = 4,
'    Recurrence_Once = 5,
'    Recurrence_Calendar = 6,

  'objParams.Recurrence = 5

  Set eventRule = rules.Add(rules.Count(), objParams)
  
  
  'create the if statement - here it is to check if a file is "added" to folder
  
  Set objIfStatement = eventRule.AddIfStatement(0, 5008, 1, "added", False)
  Set objCondition = objIfStatement.Condition
  objCondition.Operator = 1
  'objCondition.Add 5008, 1, "added", false
  
  Set objActionStatements = objIfStatement.IfSection  
  
  
    'Add an action - Mail action to the conditional statement's IF section
  
  Set mailParams = CreateObject("SFTPCOMInterface.CIMailActionParams")
  
  mailParams.TOAddresses = "sray@globalscape.com;"
  mailParams.Subject = "Subject- testing FM rule"
  mailParams.Body = "<html>FM - a file has been added to your folder</html>"
  
'add the action to the if section 
 Call objIfStatement.IfSection.Add(0, mailParams)


WScript.Echo "Done"

SFTPServer.Close
Set SFTPServer = nothing

Function Connect (serverOrIpAddress, port, username, password)

  On Error Resume Next
  Err.Clear

  SFTPServer.Connect serverOrIpAddress, port, username, password

  If Err.Number <> 0 Then
    WScript.Echo "Error connecting to '" & serverOrIpAddress & ":" &  port & "' -- " & err.Description & " [" & CStr(err.Number) & "]", vbInformation, "Error"
    Connect = False
    Exit Function
  End If

  Connect = True
End Function
