﻿$serverIp = "localhost"
$serverPort = 1100

$EFTServer = New-Object -COM "SFTPCOMInterface.CIServer"
$EFTServer.ConnectEX($serverIP, $serverPort, 1, "","")
$indexStart = $EFTServer.Sites().Count()

Write-Host "This script creates default GS Auth sites (Site-#) with all protocols disabled"
[uint16]$createSites = Read-Host -Prompt "Enter the number of sites to create"

Try
{
for($j = 1; $j -le $createSites; $j++)
 {
$EFTServer.Sites().AddLocalSite("Site-$j","C:\InetPub\EFTRoot\Site-$j\",0,0,21,1,1,1,1)
$EFTServer.Sites().Item($indexStart).SetFTPAccess($false)
++$indexStart
 }
}

Catch
{
Write-Host "ERROR!"
$EFTServer.Close() | out-null
Remove-Variable * -ErrorAction SilentlyContinue
Sleep 3
}

Finally
{
Write-Host "Done!"
$EFTServer.Close() | out-null
Remove-Variable * -ErrorAction SilentlyContinue
Sleep 2
}