﻿<# Fetch the command line parameters:
QAComBasicScriptTLSVersions2.ps1 "Host Address" "User" "Password" "COM Port" "TLSVersion" #>


param(
[string] $HostAdd,[String] $User,[String] $Pass,[String] $Port,[String] $SSLv
)

$EFT = New-Object -ComObject 'SFTPComInterface.CIServer'

$EFT.Connect($HostAdd, $Port, $User, $Pass)

if ($SSLv -eq 'TLSv1' ) {
   $SSL = '1'
} ElseIf ($SSLv -eq 'TLSv11') {
   $SSL = '8'
} ElseIf ($SSLv -eq 'TLSv12') {
   $SSL = '15'
} Else {
   $SSL = '25'
}

$EFT.SSLVersionMask = $SSL
Write-Host $EFT.SSLVersionMask
net stop "EFT Server Enterprise"
net start "EFT Server Enterprise"

