﻿$EFT = New-Object -ComObject 'SFTPComInterface.CIServer'
$eftAdminUserName = 'admin'
$eftPassword = 'alaska'
$eftServer = '127.0.0.1'
$eftPort = '1100'
$EFT.Connect($eftServer, $eftPort, $eftAdminUserName, $eftPassword)
 
$Sites = $EFT.Sites()
$site = $Sites.SiteByID(1)

###The following script is ONLY applicable to EFT 7.4.13.42 or greater but <8.0, this is only for SFTP 7.4 Merge#####

[int]$keyBits = 256
#for RSA, only supports 2048, 4096 and 8192
[int]$ssh_rsa = 0 #this is Hex $h0000000 converted into decimal

#for DSA, only supports 1024
[int]$ssh_dss_type = 16777216 #this is Hex $h1000000 converted into decimal

#for ECDSA, only supports 256, 384 and 521
[int]$ssh_ecdsa_type = 33554432 #this is Hex $h2000000 converted into decimal

#for ED25519 only supports 256
[int]$ssh_ed25519_type = 50331648 #this is Hex $h3000000 converted into decimal

[string]$keyPassPhrase = 'Passphrase'
#The following line must be change to create the correct configuration#
[int]$keyParams = $keyBits+$ssh_ed25519_type 
#######################################################################
[string]$privateKeyFile = "$env:USERPROFILE\Desktop\privkey.priv"
[string]$publickKeyFile = "$env:USERPROFILE\Desktop\pubkey.pub"
$comFormatIsFalse = $false
[int]$siteIdIsZero = 0
[string]$CopyTo = ''
$eft.CreateSSHKey($keyParams, $keyPassPhrase, $privateKeyFile, $publickKeyFile, $comFormatIsFalse, $siteIdIsZero, $CopyTo)
$site.EnableSFTP($privateKeyFile,$keyPassPhrase)