﻿$EFT = New-Object -ComObject 'SFTPComInterface.CIServer'
$eftUser = 'Admin'
$eftPassword = 'alaska'
$eftServer = '127.0.0.1'
$eftPort = '1100'
$EFT.Connect($eftServer, $eftPort, $eftUser, $eftPassword)

$Sites = $EFT.Sites()
$site = $Sites.SiteByID(1)

New-Object -ComObject 'SFTPComInterface.CIServer' | Get-Member > CIServer.txt
New-Object -ComObject 'SFTPCOMInterface.CIEventRule' | Get-Member > CIEventRule.txt


$rules = $site.EventRules(4097) # Timer Rule

$eventparams = New-Object -ComObject 'SFTPComInterface.CITimerEventRuleParams'
$eventparams.Enabled = 1
$eventparams.Name = "AS2 Action"
$eventparams.Recurrence = 1
$eventparams.DailyEveryWeekDay = 0
$eventparams.DateTimeStart = Date "06/17/2018 6:00 PM"
$as2Actionparams = New-Object -ComObject 'SFTPComInterface.CIAS2SendActionParams'
$as2Actionparams.AS2ID = 'test1'
$as2Actionparams.AsyncReceiptTimeoutMin = 3
$as2Actionparams.Compress = 1
$as2Actionparams.Encrypt = $true
$as2Actionparams.EncryptionAlgorithm = 4
$as2Actionparams.Host = 'someserver.net'
$as2Actionparams.Port= 80
$as2Actionparams.LocalPath = 'c:\test\test.txt'
$as2Actionparams.PartnerAS2ID = 'MyAS2ID'
$as2Actionparams.PartnerCertificatePath = 'c:\Site 2 Certificate.crt'
$as2Actionparams.User = 'Outbound'
$as2Actionparams.Password = 'test'
$eventrule = $rules.Add($rules.Count(), $eventparams)
$eventrule.AddActionStatement($eventrule.StatementsCount(), $as2Actionparams)