﻿$EFT = New-Object -ComObject 'SFTPComInterface.CIServer'
$eftAdminUserName = 'admin'
$eftPassword = 'alaska'
$eftServer = '127.0.0.1'
$eftPort = '1100'
$EFT.Connect($eftServer, $eftPort, $eftAdminUserName, $eftPassword)

$Sites = $EFT.Sites()
$site = $Sites.SiteByID(1)

#Change the MySite SFTP Config parameters


$sftpsettings = $site.SFTPEncoding = 1     # 1 is for UTF-8    2 is for ASCII
$sftpsettings = $site.SFTPPort = 22

# Choose which ciphers are allowed - Remove the ones you don't want to allow
$sftpsettings = $site.SFTPEncodingAlgorithms = 'twofish256-cbc,aes256-cbc,aes256-ctr,twofish-cbc,3des-cbc,twofish128-cbc,aes128-cbc,aes128-ctr,cast128-cbc,blowfish-cbc,arcfour'

# Choose which MACs are allowed - Remove the ones you don't want to allow
$sftpsettings = $site.SFTPMacAlgorithms = 'hmac-sha2-512,hmac-sha2-256,hmac-sha1,hmac-md5,hmac-sha1-96,hmac-md5-96'

# Choose which KEX ciphers are allowed - Remove the ones you don't want to allow
$sftpsettings = $site.SFTPKexAlgorithms = 'diffie-hellman-group16-sha512,diffie-hellman-group14-sha256,diffie-hellman-group-exchange-sha256,diffie-hellman-group14-sha1,diffie-hellman-group-exchange-sha1,diffie-hellman-group1-sha1'

$sftpsettings = $site.SFTPIdentificationComment = 'Globalscape'

# FIPS enabled at server level - 0 for not enabled     1 for enabled
$EFT.SSHFIPSEnabled = 0
$EFT.SSLFIPSEnabled = 0