'### QA has moved away from using VBScript, however, there is a known PowerShell script that causes this script to work as expected###

Set SFTPServer = WScript.CreateObject("SFTPCOMInterface.CIServer")

txtServer = "localhost"
txtPort =  "1100"
txtAdminUserName = "admin"
txtPassword = "alaska"
'for RSA, only supports 2048, 4096 and 8192
ssh_rsa_type = &h0000000

'for DSA, only supports 1024
ssh_dss_type = &h1000000

'for ECDSA, only supports 256, 384 and 512
ssh_ecdsa_type = &h2000000

'for ED25519 only supports 256
ssh_ed25519_type = &h3000000

'The keyBits will need to be updated based on the key being created
keyBits = 256

keyPass = "alaska"


If Not Connect(txtServer, txtPort, txtAdminUserName, txtPassword) Then
  WScript.Quit(0)
End If

set sites = SFTPServer.Sites()
'the following statement will select the first site in EFT
set site = sites.Item(0)
'The following needs to be updated based on the key being created + and the keyBits
keyParams = ssh_ed25519_type + keyBits
site.CreateSSHKeyPair keyParams, keyPass, pub, priv
keyIndex = site.ImportSSHPrivateKey("siteSSHPrivateKey", priv, keyPass)
site.SetSSHKeyForSFTP keyIndex
site.EnableSFTP "",""
SFTPServer.Close
Set SFTPServer = nothing

Function Connect (serverOrIpAddress, port, username, password)

  On Error Resume Next
  Err.Clear

  SFTPServer.Connect serverOrIpAddress, port, username, password

  If Err.Number <> 0 Then
    WScript.Echo "Error connecting to '" & serverOrIpAddress & ":" &  port & "' -- " & err.Description & " [" & CStr(err.Number) & "]", vbInformation, "Error"
    Connect = False
    Exit Function
  End If

  Connect = True
End Function
