'
' This quick and dirty script to delete all timer rules
'

Set SFTPServer = WScript.CreateObject("SFTPCOMInterface.CIServer")

txtServer = "localhost"
txtPort =  "1100"
txtAdminUserName = "admin"
txtPassword = "Admin123"

If Not Connect(txtServer, txtPort, txtAdminUserName, txtPassword) Then
  WScript.Echo "Failed to connect to the EFT Server administration console." & vbCrLf
  Call WScript.Quit(0)
End If

siteName = "MySite"
set siteToRemove = Nothing
set sites = SFTPServer.Sites()
For i = 0 To sites.Count -1
  set site = sites.Item(i)
  If site.Name = siteName Then
    set siteToRemove = site
    Exit For
  End If
Next

WScript.Echo "Starting..."

Set rules = site.EventRules(4097)	' 4096 = OnTimer
numRules = rules.Count

for i = 1 to numRules
	'WScript.Echo "Deleting Rule #" & rules.Count
	rules.Delete( rules.Count -1 )
next

WScript.Echo chr(13) & "Done." & chr(13)

SFTPServer.Close
Set SFTPServer = nothing


' HELPER: Connect to EFT Server
Function Connect (serverOrIpAddress, port, username, password)
  WScript.Echo "Connecting to " & serverOrIpAddress & ":" & port & " ..."
  On Error Resume Next
  Err.Clear

  SFTPServer.Connect serverOrIpAddress, port, username, password

  If Err.Number <> 0 Then
    WScript.Echo "Error connecting to '" & serverOrIpAddress & ":" &  port & "' -- " & err.Description & " [" & CStr(err.Number) & "]", vbInformation, "Error"
    Connect = False
    Exit Function
  End If

  WScript.Echo "Connected."
  Connect = True
End Function