'
' This quick and dirty script aims at bulk creating timer rules that DO NOTHING, just tie up threads.
'
if (WScript.Arguments.Count < 1 ) then
	WScript.Echo vbCrLf & "*** Please supply a command line parameter for number of iterations." & vbCrLf
	WScript.Quit 255
end if
start = 1
iters = WScript.Arguments(0)
if (WScript.Arguments.Count > 1 ) then
	start = WScript.Arguments(0)
	iters = WScript.Arguments(1)
end if

Set SFTPServer = WScript.CreateObject("SFTPCOMInterface.CIServer")

txtServer = "127.0.0.1"
txtPort =  "1100"
txtAdminUserName = "admin"
txtPassword = "P@ssw0rd"
siteName = "DummySite"

If Not Connect(txtServer, txtPort, txtAdminUserName, txtPassword) Then
  WScript.Echo "Failed to conect to the EFT Server administration console." & vbCrLf
  Call WScript.Quit(0)
End If

set siteToRemove = Nothing
set sites = SFTPServer.Sites()
For i = 0 To sites.Count -1
  set site = sites.Item(i)
  If site.Name = siteName Then
    set siteToRemove = site
    Exit For
  End If
Next

WScript.Echo "Starting..."

for i = start to iters
   WScript.Echo "CreateAnEvent(" & i & ")"
   CreateAnEvent( i )
next

WScript.Echo chr(13) & "Done." & chr(13)

SFTPServer.Close
Set SFTPServer = nothing


sub CreateAnEvent( number )
'EventType:
'OnTimer = 4097,
'MonitorFolder = 4101,
'OnMonitorFolderFailed = 4102,
'OnSiteStarted = 8193,
'OnSiteStopped = 8194,
'OnClientConnected = 12289,
'OnClientCreated = 16391,
'OnFileDeleted = 20481,
'OnFileUpload = 20482,
'BeforeFileDownload = 20483,
'OnFileDownload = 20484,
'OnFileRenamed = 20485,
'OnFolderCreated = 20486,
'OnFolderDeleted = 20487,
'OnUploadFailed = 20489,
'OnDownloadFailed = 20490,
'OnFileMoved = 20492,

  'Event type from above
  Set rules = site.EventRules(4097)

  Set objParams = WScript.CreateObject("SFTPCOMInterface.CITimerEventRuleParams")

  objParams.Name = "NOOP-Timer-Rule-" & number
  objParams.Enabled = true
  objParams.Description = "This is a dummy event rule #" & number
  objParams.DateTimeStart = CDate("02/14/2015 00:00:01")

'Recurrence:
'    Recurrence_Continually = 0,
'    Recurrence_Daily = 1,
'    Recurrence_Weekly = 2,
'    Recurrence_Monthly = 3,
'    Recurrence_Yearly = 4,
'    Recurrence_Once = 5,
'    Recurrence_Calendar = 6,

  objParams.Recurrence = 5
  objParams.RepeatEnabled = false

  Set eventRule = rules.Add(rules.Count(), objParams)

  call addActions(eventRule)

End Sub

'
' Add the desired actions to the given event rule.
' 
Sub addActions( eventRule )
  ' STOP Task Action
  Set stopActionParams = WScript.CreateObject("SFTPCOMInterface.CIStopActionParams")
  stopActionParams.Enabled = true
  stopActionParams.Action = 6  ' 2 = rule, 4 = event, 6 = event and rule
  eventRule.AddActionStatement eventRule.StatementsCount(), stopActionParams
End Sub


Function Connect (serverOrIpAddress, port, username, password)
  WScript.Echo "Connecting to " & serverOrIpAddress & ":" & port & " ..."
  On Error Resume Next
  Err.Clear

  SFTPServer.Connect serverOrIpAddress, port, username, password

  If Err.Number <> 0 Then
    WScript.Echo "Error connecting to '" & serverOrIpAddress & ":" &  port & "' -- " & err.Description & " [" & CStr(err.Number) & "]", vbInformation, "Error"
    Connect = False
    Exit Function
  End If

  WScript.Echo "Connected."
  Connect = True
End Function
