Set SFTPServer = WScript.CreateObject("SFTPCOMInterface.CIServer")

txtServer = "localhost"
txtPort =  "1100"
txtAdminUserName = "Administrator"
txtPassword = "Pass12#"

If Not Connect(txtServer, txtPort, txtAdminUserName, txtPassword) Then
  WScript.Quit(0)
End If

set objSites=SFTPServer.Sites 
set objSite = objSites.Item(0)

VFAliasRoot = "/Usr"

WScript.Echo "Information for " & VFAliasRoot

folderList = objSite.GetFolderList(VFAliasRoot)
folders = Split(folderList, vbCrLf)
For Each folder in folders

    folderPath = VFAliasRoot & "/" & Trim(folder)

    WScript.Echo "Folder path: " & folderPath

    If objSite.IsFolderVirtual(folderPath) Then
        WScript.Echo " Is virtual: Yes"
    Else
        WScript.Echo " Is virtual: No"
    End If

    If objSite.IsEncrypted(folderPath) Then
        WScript.Echo " Is encrypted with EFS: Yes"
    Else
        WScript.Echo " Is encrypted with EFS: No"
    End If

    WScript.Echo " -Permissions List-"
    WScript.Echo " User            Source Inherited"

    For Each perm in objSite.GetFolderPermissions(folderPath)

        str = " " & LEFT(perm.Client & Space(16), 16)

        If perm.IsGroup Then
            str = str & "group  "
        Else
            str = str & "user   "
        End If

        If perm.IsInherited Then
            str = str & "Yes  "
        Else
            str = str & "No   "
        End If

        str = str & perm.InheritedFrom

        WScript.Echo str
    Next

Next

SFTPServer.Close
Set SFTPServer = nothing

Function Connect (serverOrIpAddress, port, username, password)

  On Error Resume Next
  Err.Clear

  SFTPServer.Connect serverOrIpAddress, port, username, password

  If Err.Number <> 0 Then
    WScript.Echo "Error connecting to '" & serverOrIpAddress & ":" &  port & "' -- " & err.Description & " [" & CStr(err.Number) & "]", vbInformation, "Error"
    Connect = False
    Exit Function
  End If

  Connect = True
End Function